For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workflow Instances

Cancel workflow instance.

post

Cancels the workflow instance with the specified ID with a reason. Canceling the workflow instance also cancels the workflow sub-processes.

Authorizations
AuthorizationstringRequired
Path parameters
workflowInstanceIdstring · uuidRequired

The identifier of the workflow instance to be cancelled.

Body
stringOptional
Responses
204

The workflow instance has been successfully canceled.

No content

post/workflowInstances/{workflowInstanceId}/canceled
204

The workflow instance has been successfully canceled.

No content

Find workflow instances.

get

Returns workflow instances matching given search criteria.

Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned workflow instances satisfy all constraints that are specified in this search criteria.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
businessItemNamestringOptional

The display name of the business item that should be contained by the searched workflows.

businessItemIdstring · uuidOptional

The ID of the business item that should be contained by the searched workflows.

workflowDefinitionIdstringOptional

The ID of the workflow definition.

workflowDefinitionNamestringOptional

The name (or a part of it) of the workflow definition.

workflowInstanceIdPhrasestringOptional

The ID (or a part of it) of the workflow instance.

sortFieldstring · enumOptional

The field on which the results are sorted.

Default: START_DATEPossible values:
sortOrderstring · enumOptional

The sorting order.

Default: DESCPossible values:
parentWorkflowInstanceIdstringOptional

The ID of the parent workflow instance.

Responses
200

The found workflow instances.

application/json

Response containing the paged information.

totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/workflowInstances
200

The found workflow instances.

Start workflow instances.

post

Starts multiple workflow instances based on the provided request.

Authorizations
AuthorizationstringRequired
Body

The properties of the workflow to be started.

workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

businessItemIdsstring · uuid[]Optional

The list of IDs for the business items.

businessItemTypestring · enumOptional

The resource type of the passed in business items.

Possible values:
guestUserIdstring · uuidOptionalDeprecated

The ID of the guest user starting the workflow. This property is ignored and will be removed without a replacement.

sendNotificationbooleanOptional

Whether a mail notification on starting the workflows should be sent. This notification is only used in the asynchronous api version (in a job).

Responses
201

Workflow instances successfully started.

application/json

Represents an instance of a workflow.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
subProcessInstancesCountinteger · int64Optional

The count of sub process instances of this instance.

parentWorkflowInstanceIdstringOptional

The Id of the parent workflow instance.

startDateinteger · int64Optional

The start date of this process instance.

endedbooleanOptional

Whether this process instance is already ended.

createdAssetIdstring · uuidOptional

The optional identifier of the created asset if the process instance ended, created a term and it is configured for it.

inErrorbooleanOptional

Whether this process instance is in error. This means that there was a problem with a async continuation of the process instance.

errorMessagestringOptional

The optional error message of any error in a async continuation of this process instance. Only present if inError is true.

post/workflowInstances

Returns the file representing the diagram of workflow instance identified by the given ID.

get

Returns the file representing the diagram of workflow instance identified by the given ID. The diagram input stream returned can be null as deployed workflow defintions without graphical notation included don't have a diagram

Authorizations
AuthorizationstringRequired
Path parameters
workflowInstanceIdstring · uuidRequired

The ID of the workflow instance to return the diagram for.

Responses
200

The input stream containing the diagram of the workflow instance.

image/png
objectOptional
get/workflowInstances/{workflowInstanceId}/diagram

Pass message event to workflow engine.

post

Passes the message event to the workflow engine. It will pass on this specific event to the engine with the given name, process instance and variables.

Authorizations
AuthorizationstringRequired
Path parameters
processInstanceIdstringRequired

The ID of an instance of a process. Given process instance should have only one execution running at the time. Otherwise this method will fail.

messageNamestringRequired

The name of the message to trigger.

Body

The properties of the message event to be received.

Responses
204

The message event has been successfully passed.

No content

post/workflowInstances/{processInstanceId}/messageEvents/{messageName}
204

The message event has been successfully passed.

No content

Start workflow instances.

post

Starts multiple workflow instances asynchronously based on the provided request.

Authorizations
AuthorizationstringRequired
Body

The properties of the workflow to be started.

workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

businessItemIdsstring · uuid[]Optional

The list of IDs for the business items.

businessItemTypestring · enumOptional

The resource type of the passed in business items.

Possible values:
guestUserIdstring · uuidOptionalDeprecated

The ID of the guest user starting the workflow. This property is ignored and will be removed without a replacement.

sendNotificationbooleanOptional

Whether a mail notification on starting the workflows should be sent. This notification is only used in the asynchronous api version (in a job).

Responses
200

Workflow instances successfully started.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/workflowInstances/startJobs
200

Workflow instances successfully started.

Last updated

Was this helpful?